package com.gct.dlview;

import com.gct.common.security.annotation.EnableGCTServiceSecurity;
import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.ImportAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.ribbon.RibbonAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignAutoConfiguration;
import org.springframework.cloud.openfeign.ribbon.FeignRibbonClientAutoConfiguration;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@MapperScan("com.gct.dlview.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableFeignClients
@EnableDiscoveryClient//开启服务注册
//@EnableGCTServiceSecurity
@EnableTransactionManagement
@ImportAutoConfiguration({RibbonAutoConfiguration.class, FeignRibbonClientAutoConfiguration.class, FeignAutoConfiguration.class})
public class DeepLearningViewApplication {

    public static void main(String[] args) {
        SpringApplication.run(com.gct.dlview.DeepLearningViewApplication.class, args); }

}
