package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.service.GroupSampleRelationIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-08-20
 */
@RestController
@RequestMapping("/groupSampleRelationIndex")
@PreAuthorize("hasAuthority('build:query')")
public class GroupSampleRelationIndexController {

    @Autowired
    GroupSampleRelationIndexService groupSampleRelationIndexService;

    @GetMapping("/getVersionList")
    public Result getVersionList(@RequestParam Integer groupId) {
        return Result.ok(groupSampleRelationIndexService.getVersionList(groupId));
    }

    @GetMapping("/lockLastVersion")
    public Result lockLastVersion(@RequestParam Integer groupId, @RequestParam Integer lastVersion) {
        boolean res = groupSampleRelationIndexService.lockLastVersion(groupId, lastVersion);
        return res ? Result.ok("锁定成功") : Result.ok("锁定失败");
    }

}

