package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.entity.SampleDiagramInterpretationTemp;
import com.gct.dlview.entity.vo.PageBody;
import com.gct.dlview.service.SampleDiagramInterpretationTempService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 功图样本解释类别临时表 前端控制器
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@RestController
@RequestMapping("/sampleDiagram/interpretation")
public class SampleDiagramInterpretationTempController {

    @Autowired
    SampleDiagramInterpretationTempService service;

    @PreAuthorize("hasAuthority('sample:query')")
    @PostMapping("/list")
    public Result getList(@RequestBody(required = false) SampleDiagramInterpretationTemp condition) {
        return service.getListByCondition(condition);
    }

    @PreAuthorize("hasAuthority('sample:query')")
    @PostMapping("/page")
    public Result getpage(@RequestBody PageBody<SampleDiagramInterpretationTemp> pageCondition) {
        return service.getPageByCondition(pageCondition);
    }
}

