package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.service.TrainTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-09-08
 */
@RestController
@RequestMapping("/trainTask")
public class TrainTaskController {

    @Autowired
    TrainTaskService trainTaskService;

    @PreAuthorize("hasAuthority('train:query')")
    @GetMapping("/getTrainTask")
    public Result getTrainTask(Integer curPage, Integer pageSize){
        return Result.ok(trainTaskService.getTrainTask(curPage,pageSize));
    }

    @PreAuthorize("hasAuthority('train:write')")
    @GetMapping("/saveOrUpdateTrainTask")
    public Result saveOrUpdateTrainTask(Integer id,Integer groupId, Integer groupVersion, Integer serverId, boolean enableAutoLoadBalance, boolean enableAutoStart, boolean enableStepWait){
        return trainTaskService.saveOrUpdateTrainTask(id,groupId,groupVersion,serverId,enableAutoLoadBalance,enableAutoStart,enableStepWait);
    }

    @PreAuthorize("hasAuthority('train:write')")
    @GetMapping("/deleteTrainTask")
    public Result deleteTrainTask(Integer id){
        return trainTaskService.deleteTrainTask(id);
    }

    @PreAuthorize("hasAuthority('train:write')")
    @GetMapping("/enableTrainTask")
    public Result enableTrainTask(Integer id){
        return trainTaskService.enableTrainTask(id);
    }

    @PreAuthorize("hasAuthority('train:query')")
    @GetMapping("/getReachableStateList")
    public Result getReachableStateList(String taskState){
        return Result.ok(trainTaskService.getReachableStateList(taskState));
    }

    @PreAuthorize("hasAuthority('train:write')")
    @GetMapping("/changeTrainTaskState")
    public Result changeTrainTaskState(String curTaskState,Integer id,Integer taskStateControl){
        return trainTaskService.changeTrainTaskState(curTaskState,id,taskStateControl);
    }
}

