package com.gct.dlview.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeepLearnTrainServer对象", description = "")
public class DeepLearnTrainServer extends Model<DeepLearnTrainServer> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer machineId;

    @ApiModelProperty(value = "端口号")
    private Integer port;

    @ApiModelProperty(value = "简短的名称描述")
    private String serverName;

    @ApiModelProperty(value = "运行状态0:预备，准备启用1:已启用，准备就绪2:执行任务中3:连接异常，异常中断4:已弃用")
    private Integer runState;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;

    private Integer timeout;

    @TableField(exist = false)
    private String MachineName;

    @TableField(exist = false)
    private String ipAddr;

    @TableField(exist = false)
    private String localOriginPath;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
