package com.gct.dlview.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ctc.wstx.shaded.msv_core.datatype.xsd.IDType;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author lloyd
 * @since 2021-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "MachineResource对象", description = "")
public class MachineResource extends Model<MachineResource> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "耳熟能详的名字")
    private String machineName;

    @ApiModelProperty(value = "ip")
    private String ipAddr;

    @ApiModelProperty(value = "mac")
    private String macAddr;

    @ApiModelProperty(value = "存储空间上限 GB")
    private Float storeSpaceMax;

    @ApiModelProperty(value = "所在网络类型1:本地服务器2:公有服务器")
    private Integer netType;

    @ApiModelProperty(value = "所在位置地区描述")
    private String locationRegion;

    @ApiModelProperty(value = "本地存储目录主路径")
    private String localOriginPath;

    @ApiModelProperty(value = "可供远程下载的nginx 资源根路径")
    private String publishOriginPath;

    @ApiModelProperty(value = "已用空间 GB")
    private Float usedSpace;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

    /**
     *
     */
    public static enum ColumnIdentify {
        machineName("machine_name"),
        locationRegion("location_region"),
        netType("net_type"),
        ipAddr("ip_addr"),
        macAddr("mac_addr");


        private String columnName;

        ColumnIdentify(String columnName) {
            this.columnName = columnName;
        }

        public String getColumnName() {
            return columnName;
        }
    }
}

