package com.gct.dlview.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 功图样本解释类别临时表
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SampleDiagramInterpretationTemp对象", description="功图样本解释类别临时表")
public class SampleDiagramInterpretationTemp extends Model<SampleDiagramInterpretationTemp> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    private LocalDateTime udpateTime;

    private String remark;

    private String interpretation;

    private String describe;

    @ApiModelProperty(value = "1:abnormal2:normal")
    private Integer isAbnormal;

    @ApiModelProperty(value = "1:影响产量的2:影响设备的3:其他")
    private Integer impactCategory;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
