package com.gct.dlview.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 功图样本源
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SampleDiagramResource对象", description="功图样本源")
public class SampleDiagramResource extends Model<SampleDiagramResource> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;

    @ApiModelProperty(value = "功图标准存储格式")
    private String diagramContent;

    @ApiModelProperty(value = "图形解释")
    private String graphicInterpretation;

    @ApiModelProperty(value = "真实中的表现的工况")
    private String realPerformance;

    @ApiModelProperty(value = "导入样本数据的全局唯一标识")
    private String importMark;

    @ApiModelProperty(value = "版本")
    private String dataVersion;

    @ApiModelProperty(value = "批次说明")
    private String batchDec;

    @ApiModelProperty(value = "0:default 1:available2: not available")
    private Integer isAvailable;

    private String importTransactionId;

    @ApiModelProperty(value = "1: positive samples 2: negative")
    private Integer sampleImpact;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
