package com.gct.dlview.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SampleImportLog对象", description="")
public class SampleImportLog extends Model<SampleImportLog> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;

    @ApiModelProperty(value = "样本类型1:功图2:...")
    private Integer sampleType;

    @ApiModelProperty(value = "本次样本数量")
    private BigDecimal sampleSize;

    @ApiModelProperty(value = "导入成功数量")
    private BigDecimal importCompletedSize;

    @ApiModelProperty(value = "导入失败数量")
    private BigDecimal importFailedSize;

    @ApiModelProperty(value = "进度0:为开始1:进行中2:已完成")
    private Integer processState;

    @ApiModelProperty(value = "临时存储文件的位置")
    private String tempLocalPath;

    @ApiModelProperty(value = "MB")
    private BigDecimal fileSize;

    @ApiModelProperty(value = "导入操作人")
    private String createUser;

    @ApiModelProperty(value = "uuid")
    private String importTransactionId;

    @ApiModelProperty(value = "导入系统版本")
    private String importSystemVersion;

    @ApiModelProperty(value = "标识导入系统，后台程序，主应用web，CDN版，个人版。。。。")
    private String importSystemMethod;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
