package com.gct.dlview.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.gct.dlview.thrift.train.StepInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author xsr
 * @since 2021-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TrainTask对象", description = "")
public class TrainTask extends Model<TrainTask> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer trainSampleSourceId;

    private Integer trainServerId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "TODO: more than 7 step real state")
    private Integer taskStepCode;

    @ApiModelProperty(value = "中间数据，持久化进度恢复所必要的 json")
    private String intermediateData;

    private BigDecimal progressPercentage;

    @ApiModelProperty(value = "0:没有启用 1:已启用")
    private Integer taskEnable;

    @ApiModelProperty(value = "0:待定 1:运行中 2:暂停中（控制发送状态）1-->2-->3 3:已暂停（稳定状态） 4:继续（控制发送状态）3-->4-->1 5:关闭（控制发送状态）(?<8)-->5->6 6:已关闭（稳定状态） 7:重启（控制发送状态）?-->7-->1 8:完成（稳定状态） 9:异常中断（稳定状态）")
    private Integer taskStateControl;

    @ApiModelProperty(value = "版本号")
    private Integer trainSampleSourceVersionCode;

    @ApiModelProperty(value = "0:todo 1:yes 2:no")
    private Integer enableAutoLoadBalance;

    @ApiModelProperty(value = "logs  ,  separated by  char '\n'")
    private String executeLog;

    @ApiModelProperty(value = "describe for task step")
    private String taskStepInfo;

    @ApiModelProperty(value = "0:待定 1:运行中 2:暂停中（控制发送状态）1-->2-->3 3:已暂停（稳定状态） 4:继续（控制发送状态）3-->4-->1 5:关闭（控制发送状态）(?<8)-->5->6 6:已关闭（稳定状态） 7:重启（控制发送状态）?-->7-->1 8:完成（稳定状态） 9:异常中断（稳定状态）")
    private Integer taskState;

    @ApiModelProperty(value = "0:none use 1:yes 2:no")
    private Integer enableAutoStart;

    @ApiModelProperty(value = "0:none use 1:yes 2:no")
    private Integer enableStepWait;

    @Override
    protected Serializable pkVal() {
        return null;
    }

    public TrainTask setTaskStepCode(Integer code) {
        this.taskStepCode = code;
        this.taskStepInfo = StepInfo.valueOf(code).getDetail();
        return this;
    }

}
