package com.gct.dlview.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.SampleDiagramResource;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 功图样本源 服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
public interface SampleDiagramResourceService extends IService<SampleDiagramResource> {

    JSONObject getListByPage(String mark, String version, String batch, String gk, Integer impact, Integer curPage, Integer pageSize);

    List<SampleDiagramResource> getList(String mark, String version, String batch, String gk, Integer impact);

    void dealSampleFile(MultipartFile file, String mark, String version, String batch) throws IOException;

    List<Map<String,Object>> getGkCount(String mark, String version, String batch, String gk, Integer impact);

    boolean updateSampleGk(String mark, String version, String batch, Integer impact, String oldGk, String gk);

    boolean deleteSample(String mark, String version, String batch, Integer impact, String gk);

    boolean updateSampleGkSingle(Integer id, String oldGk, String gk);

    boolean updateSampleImpact(Integer id, Integer sampleImpact);
}
