package com.gct.dlview.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.dlview.entity.TrainTask;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xsr
 * @since 2021-09-08
 */
public interface TrainTaskService extends IService<TrainTask> {

    JSONObject getTrainTask(Integer curPage, Integer pageSize);

    @Transactional(rollbackFor = Exception.class)
    Result saveOrUpdateTrainTask(Integer id, Integer groupId, Integer groupVersion, Integer serverId, boolean enableAutoLoadBalance, boolean enableAutoStart, boolean enableStepWait);

    Result deleteTrainTask(Integer id);

    HashMap<Serializable,TrainTask> getMapAllEnable();

    List<TrainTask> getListAllEnable();

    Result enableTrainTask(Integer id);

    JSONArray getReachableStateList(String taskState);

    Result changeTrainTaskState(String curTaskState, Integer id, Integer taskStateControl);
}
