package com.gct.dlview.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.gct.dlview.entity.GroupSampleRelationIndex;
import com.gct.dlview.mapper.GroupSampleRelationIndexMapper;
import com.gct.dlview.service.GroupSampleRelationIndexService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xsr
 * @since 2021-08-20
 */
@Service
public class GroupSampleRelationIndexServiceImpl extends ServiceImpl<GroupSampleRelationIndexMapper, GroupSampleRelationIndex> implements GroupSampleRelationIndexService {

    @Override
    public List<Map<String, Object>> getVersionList(Integer groupId) {
        return baseMapper.selectMaps(new QueryWrapper<GroupSampleRelationIndex>()
                .select("version_serial_code \"version\"").eq("group_id", groupId))
                .stream()
                .sorted((m1, m2) -> Integer.parseInt(m2.get("version").toString()) - Integer.parseInt(m1.get("version").toString()))
                .collect(Collectors.toList());
    }

    @Override
    public boolean lockLastVersion(Integer groupId, Integer lastVersion) {
        return new GroupSampleRelationIndex()
                .setVersionSerialCode(lastVersion + 1)
                .setGroupId(groupId)
                .insert();
    }
}
