package com.gct.dlview.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.dlview.entity.SampleDiagramCategoryIndex;
import com.gct.dlview.mapper.SampleDiagramCategoryIndexMapper;
import com.gct.dlview.service.SampleDiagramCategoryIndexService;
import lombok.Data;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xsr
 * @since 2021-08-12
 */
@Service
public class SampleDiagramCategoryIndexServiceImpl extends ServiceImpl<SampleDiagramCategoryIndexMapper, SampleDiagramCategoryIndex> implements SampleDiagramCategoryIndexService {


    @Override
    public JSONArray getDefaultList() {
        List<SampleDiagramCategoryIndex> sampleCategories = this.list();
        OrgTree root = new OrgTree("root");
        sampleCategories.forEach(sampleCategory -> {
            int markIndex = root.findNode(sampleCategory.getMark());
            if (markIndex == -1) {
                root.child.add(new OrgTree(sampleCategory.getMark()));
                markIndex = root.child.size() - 1;
            }
            OrgTree markNode = root.child.get(markIndex);
            int versionIndex = markNode.findNode(sampleCategory.getVersion());
            if (versionIndex == -1) {
                markNode.child.add(new OrgTree(sampleCategory.getVersion()));
                versionIndex = markNode.child.size() - 1;
            }
            OrgTree versionNode = markNode.child.get(versionIndex);
            versionNode.child.add(new OrgTree(sampleCategory.getBatch()));
        });
        return (JSONArray) JSONArray.toJSON(root.child);
    }


}

@Data
class OrgTree {
    String node;
    List<OrgTree> child;

    OrgTree(String node) {
        this.node = node;
        child = new ArrayList<>();
    }

    int findNode(String node) {
        for (int i = 0; i < child.size(); i++) {
            if (child.get(i).node.equals(node)) return i;
        }
        return -1;
    }
}
