package com.gct.dlview.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.common.core.result.Result;
import com.gct.dlview.entity.SampleDiagramInterpretationTemp;
import com.gct.dlview.entity.vo.PageBody;
import com.gct.dlview.mapper.SampleDiagramInterpretationTempMapper;
import com.gct.dlview.service.SampleDiagramInterpretationTempService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * <p>
 * 功图样本解释类别临时表 服务实现类
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Service
public class SampleDiagramInterpretationTempServiceImpl extends ServiceImpl<SampleDiagramInterpretationTempMapper, SampleDiagramInterpretationTemp> implements SampleDiagramInterpretationTempService {

    @Override
    public Result getListByCondition(SampleDiagramInterpretationTemp condition) {
        if (condition==null)return Result.ok(this.list());
        List<SampleDiagramInterpretationTemp> data = baseMapper.getListByCondition(condition);
        if (Objects.isNull(data) || data.isEmpty()) return Result.error("无数据");
        else return Result.ok(data);
    }

    @Override
    public Result getPageByCondition(PageBody<SampleDiagramInterpretationTemp> pageCondition) {
        Page<SampleDiagramInterpretationTemp> data = baseMapper.getListByCondition(pageCondition.getPage(), pageCondition.getCondition());
        if (Objects.isNull(data) || data.getRecords().isEmpty()) return Result.error("无数据");
        return Result.ok(data);
    }

    @Override
    public Map<String, Integer> getInterpretationNameIdMap() {
        Map<String,Integer>map = new HashMap<>();
        list().stream().forEach(x->{
            map.put(x.getInterpretation(),x.getId());
        });
        return map;
    }
}
