package com.gct.dlview.thrift;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public abstract class ServerConfig {

    {
        port = 9090;
        host = "127.0.0.1";
        name = "default server";
        timout = 6000;
        runState = 0;
    }

    /**
     * 持久化用的id
     */
    private Serializable id;
    private int port;
    private String host;
    private String localOriginPath;
    /**
     * 名称 打印 debug用
     */
    private String name;
    /**
     * 响应超时时间 ms
     */
    private int timout;

    private int runState;

    @Override
    public ServerConfig clone() {
        ServerConfig config = new ServerConfig() {
        };
        return config.setRunState(this.getRunState()).setPort(this.getPort()).setTimout(this.getTimout()).setName(this.getName()).setHost(this.getHost()).setId(this.getId());
    }
}
