package com.gct.dlview.thrift;

import java.util.EnumSet;

public enum ServerRunState {
    NONE(0, "预备"),
    READY(1, "空闲"),
    BUSY(2, "忙碌"),
    MISSING(3, "连接丢失");

    private int code;
    private String dec;

    ServerRunState(int code, String dec) {
        this.code = code;
        this.dec = dec;
    }

    public int getCode() {
        return code;
    }

    public String getDec() {
        return dec;
    }

    public static ServerRunState valueOf(int code) {
        for (ServerRunState value : ServerRunState.values()) {
            if (value.getCode() == code) return value;
        }
        return NONE;
    }
}
