package com.gct.dlview.thrift;

import com.gct.dlview.thrift.train.TrainServerWrapper;

import java.io.Closeable;
import java.io.IOException;

/**
 * dec:
 * <p>
 * TaskExecuteStep
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/5 下午5:27
 */
public interface TaskExecuteStep<T, V> extends Closeable {

    ThreadLocal<Object> serverStorage = new ThreadLocal<>();

    boolean execute(T task);

    default TaskExecuteStep<T, V> setServer(V server) {
        TaskExecuteStep.serverStorage.set(server);
        return this;
    }

    @Override
    default void close() throws IOException {
        serverStorage.remove();
    }
}
