package com.gct.dlview.thrift.job;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * dec:
 * <p>
 * JobConfigProperties
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/11 下午3:30
 */
@Data
@Accessors(chain = true)
@ConfigurationProperties(prefix = "gct.thrift.register-center")
public class JobConfigProperties {
    /**
     * 是否开启 thrift 注册中心
     */
    private boolean enabled = false;

    /**
     * 服务心跳检测间隔 ms
     */
    private int heartInterval = 3000;

    /**
     * 持久化 服务配置信息 间隔 ms
     */
    private int persistConfigInterval = 6000;

    /**
     * 持久化 任务信息 间隔 ms
     */
    private int persistTaskInterval = 6000;

    /**
     * 服务配置信息缓存同步器运行间隔 ms
     */
    private int syncConfigCacheInterval = 200;

    /**
     * 任务信息缓存同步器运行间隔 ms
     */
    private int syncTaskCacheInterval = 200;
}
