package com.gct.dlview.thrift.train;

import java.util.HashMap;
import java.util.Map;

/**
 * dec:
 * <p>
 * StepInfo
 * </p>
 *😃
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/12 上午10:28
 */
public enum StepInfo {

    step0(0, "申请初始化"),
    step1(1, "传输样本"),
    step2(2, "样本标准化"),
    step3(3, "特征解析"),
    step4(4, "训练模型");

    private final int id;
    private final String detail;

    StepInfo(int id, String detail) {
        this.id = id;
        this.detail = detail;
    }

    public int getId() {
        return id;
    }

    public String getDetail() {
        return detail;
    }

    private final static Map<Integer, StepInfo> source;

    static {
        source = new HashMap<>();
        for (StepInfo value : StepInfo.values()) {
            source.put(value.getId(), value);
        }
    }

    public static StepInfo valueOf(int id) {
        return source.get(id);
    }
}
