package com.gct.dlview.thrift.train;

import com.gct.dlview.service.GroupSampleRelationService;
import com.gct.dlview.service.SampleDiagramInterpretationTempService;
import com.gct.dlview.thrift.DLTrainTask;
import com.gct.dlview.thrift.TaskExecuteStep;
import com.gct.dlview.thrift.TrainTaskExecute;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * dec:
 * <p>
 * TaskStepConfiguration
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/5 下午5:49
 */
@Configuration
@EnableConfigurationProperties(TrainProperties.class)
public class TrainConfiguration {

    @Bean
    public TaskExecuteStep<DLTrainTask, TrainServerWrapper>[] trainTaskSteps(
            GroupSampleRelationService groupSampleRelationService,
            SampleDiagramInterpretationTempService sampleDiagramInterpretationTempService
    ) {
        return new TaskExecuteStep[]{
                new TrainStep0()
                , new TrainStep1(groupSampleRelationService, sampleDiagramInterpretationTempService)//1
                , new TrainStep2()
                , new TrainStep3()
                , new TrainStep4()
        };
    }

    @Bean(initMethod = "init")
    public TrainLogServer trainLogServer(TrainProperties properties, TrainTaskExecute execute) {
        return new TrainLogServer(execute, properties);
    }
}
