package com.gct.dlview.thrift.train;

import java.util.HashMap;
import java.util.Map;

/**
 * dec:
 * <p>
 * TrainStepState
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/12 上午9:57
 */
public enum TrainStepState {

    DEFAULT(0, "默认", "当前表示连接丢失等，不要做任何响应的控制请求状态"),
    ALLOW(1, "允许", "可以执行请求步骤"),
    WAIT(2, "等待", "稍后在请求一次"),
    INTERRUPT(3, "中断", "发生错误不能继续则中断任务"),
    AGO(4, "上一步", "执行上一步"),
    RETRY(5, "重试", "负载任务已被替换，重新申请加入"),
    FINISH(6, "结束", "此任务已经正常结束");


    TrainStepState(int id, String name, String detail) {
        this.id = id;
        this.name = name;
        this.detail = detail;
    }

    private final int id;
    private final String name;
    private final String detail;

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    /**
     * 没有地方用的话将被移除
     * @return 详细说明
     */
    @Deprecated
    public String getDetail() {
        return detail;
    }

    private static final Map<Integer, TrainStepState> trainStepStateSource;

    static {
        trainStepStateSource = new HashMap<>();
        for (TrainStepState value : TrainStepState.values()) {
            trainStepStateSource.put(value.getId(), value);
        }
    }

    public static TrainStepState valueOf(int id) {
        return trainStepStateSource.get(id);
    }
}
